#include <vector>
#include <iostream>
#include <queue>
#include <utility>
using namespace std;

int main(){

    int n, k, x;
    cin >> n >> k >> x;

    if(x + k - 1 < n){
        cout << -1 << endl;
        return 0;
    }

    vector<int> arr(n);

    for(int i = 1; i < k; i++)
        arr[i - 1] = i;

    int m = k - 1;

    for(int i = x + k - 1; i > k - 1; i--){
        if(m == n)
            break;

        arr[m] = i;
        m++;
    }

    for(int i = 0; i < n; i++)
        cout << arr[i] << " ";
    cout << endl;

    return 0;
}